      SUBROUTINE IFLAG16(Iflag,lBIT16)
c                     date - 8/1/96               pgmr - Anita C. Brenner
c                            7/96                        Brian B. Beckley
c function - decompose 2 byte integer flag word into logicals
c input parameter - iflag - I*2 - flag word with individual bits set
c output parameter - lbit16 - Logical*1(16) - logical array with
c                    msb corresponding to index at 1  of array, 
c                    true means corresponding bit in lflag is set to 1
c                    false means corresponding bit in iflag is set to 0
      INTEGER*2 Iflag
      logical*1 lbit16
      DIMENSION lBIT16(16)
      DO 10 I=1,16
      IPWR=16-I
      lbit16(I)=MOD(Iflag/(2**IPWR),2).eq.1
 10      CONTINUE
      RETURN
      END
